## feedcircuit 0.5.0-3

=== debian/changelog ===
feedcircuit (0.5.0-3) unstable; urgency=low

  * Mistakenly removed copyright is back in the package

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 18 Sep 2008 23:27:14 +0400

feedcircuit (0.5.0-2) unstable; urgency=low

  * python2.5-conic and python2.5-osso are moved to "Depends"

 -- George Kibardin <george-kibardin@yandex.ru>  Tue, 16 Sep 2008 22:27:14 +0400

feedcircuit (0.5.0-1) unstable; urgency=low

  * Initial release

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 11 Sep 2008 17:26:14 +0400

## feedcircuit 0.5.1-1

=== debian/changelog ===
feedcircuit (0.5.1-1) unstable; urgency=low

  * Feed editing UI has been restructured
  * "About" dialog has been added
  * Small UI changes

 -- George Kibardin <george-kibardin@yandex.ru>  Wed, 24 Sep 2008 22:19:14 +0400

## feedcircuit 0.6.0-2

=== debian/changelog ===
feedcircuit (0.6.0-2) unstable; urgency=low

  * Error in setup.py, missed dbus service

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 25 Sep 2008 22:37:34 +0400

feedcircuit (0.6.0-1) unstable; urgency=low

  * Minor UI changes 
  * Now there are feedcircuit-cli and feedcircuit-gui scripts
  * Internationalization support
  * Russian localization

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 25 Sep 2008 17:01:21 +0400

## feedcircuit 0.6.1-1

=== debian/changelog ===
feedcircuit (0.6.1-1) unstable; urgency=low

  * The menu has been restructured
  * Feed deletion confirmation dialog
  * Fixed icon file deletion when feed creation is being cancelled
  * Displayin banner while discovering feed

 -- George Kibardin <george-kibardin@yandex.ru>  Fri, 26 Sep 2008 13:11:23 +0400

## feedcircuit 0.6.2-1

=== debian/changelog ===
feedcircuit (0.6.2-1) unstable; urgency=low

  * One item update failure doesn't cause whole feed update failure
  * Ability to specify exact html tag to use when caching (or inlining) web pages
  * Ability to cache (or inline) web pages as is, without any adaptation to tablet's screen

 -- George Kibardin <george-kibardin@yandex.ru>  Mon, 29 Sep 2008 18:22:29 +0400

## feedcircuit 0.6.3-1

=== debian/changelog ===
feedcircuit (0.6.3-1) unstable; urgency=low

  * It is possible now to specify the name of the link used to get printable
    version of the web page being cached
  * Now FeedCircuit uses browser's cookies so it may cache web pages that
    requires loggin in. You only need to log in using your browser
  * Percent character in urls doesn't lead to crash

 -- George Kibardin <george-kibardin@yandex.ru>  Fri, 04 Oct 2008 11:09:18 +0400

## feedcircuit 0.6.4-1

=== debian/changelog ===
feedcircuit (0.6.4-1) unstable; urgency=low

  * Support for skweezer like services

 -- George Kibardin <george-kibardin@yandex.ru>  Sat, 04 Oct 2008 16:09:12 +0400

## feedcircuit 0.6.5-1

=== debian/changelog ===
feedcircuit (0.6.5-1) unstable; urgency=low

  * Scrollbars are added
  * It is possible now to delete only feed's cache
  * Now it is possible to change cache directory
  * Reformatting service doesn't conflict with printable version link anymore

 -- George Kibardin <george-kibardin@yandex.ru>  Tue, 07 Oct 2008 22:47:14 +0400

## feedcircuit 0.6.6-1

=== debian/changelog ===
feedcircuit (0.6.6-1) unstable; urgency=low

  * Problems with moving cache to SD are fixed
  * Drag and drop reordering implemented

 -- George Kibardin <george-kibardin@yandex.ru>  Wed, 08 Oct 2008 11:52:37 +0400

## feedcircuit 0.6.7-1

=== debian/changelog ===
feedcircuit (0.6.7-1) unstable; urgency=low

  * Fixed exception in exception handler
  * Url quoting fixes
  * Now FeedCircuit can cache articles split to multiple pages
  * Support for more than one url per feed

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 09 Oct 2008 22:42:56 +0400

## feedcircuit 0.6.8-1

=== debian/changelog ===
feedcircuit (0.6.8-1) unstable; urgency=low

  * Do not update multiurl entry until all urls are downloaded
  * It is possible to use checkboxes to select feeds for update
  * Caching performance is improved. Multiple threads are used to download
    images.

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 09 Oct 2008 22:42:56 +0400

## feedcircuit 0.8.4-1

=== Makefile ===
all:
	python2.5 setup.py build
clean:
	python2.5 setup.py clean --all
install:
	python2.5 setup.py install --optimize=2 --no-compile --root $(DESTDIR)
# DO NOT DELETE

## feedcircuit 0.6.9-1

=== debian/changelog ===
feedcircuit (0.6.9-1) unstable; urgency=low

  * Fixing memory leaks
  * Import from default feed reader and OPML files is added
  * Now horizontal scrollbar doesn't appear, ellipsis is shown in the middle
    of feed title instead.
  * "Refresh selected" is hidden when checkboxes are on. Now "Refresh"
    refreshes checked items or all when nothing is checked.
  * Banner is used to show update progress and more buttons are added to the
    toolbar

 -- George Kibardin <george-kibardin@yandex.ru>  Mon, 20 Oct 2008 12:45:42 +0400

=== debian/control ===
Source: feedcircuit
Section: user/other
Priority: extra
Maintainer: George Kibardin <george-kibardin@yandex.ru>
Build-Depends: debhelper (>= 5), python2.5-dev
Standards-Version: 3.7.2

Package: feedcircuit
Architecture: all
Depends: python2.5, python2.5-hildon, python2.5-gtk2, python2.5-dbus, python2.5-beautifulsoup, python2.5-conic, python2.5-osso
Description: Feed Circuit grabs RSS and Atom feeds for offline reading.
 It also may cache resources referenced by feeds and adapt them for reading on tablet's screen.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgIfAhk
 iAAAAAlwSFlzAAALEwAACxMBAJqcGAAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3Nj
 YXBlLm9yZ5vuPBoAAAJYSURBVEiJ7ZZNSFRRFMd/b3zpCI02i0gsiFrFaLUICgLl
 3UmRqMRFOAQFUS1mlZCgBMHttuhrMUWL2kSkO7FNn5DlXMtFFC0yyaAkhKCSxkSH
 wsFxXot5oynTc3oDrTzw4N57/vf87uGde7iGbdv8symxBkgi9VyhWwyPoF7gAPAR
 eA8MA9eReuKvIMuy1gHBAsJntNYfHNAwULvEnwDakbo732aTYPAqVVVNBAJpV8zQ
 UDkQcGa7gC1AyPmOABuALpQ4CkSRzqHmM2pt7UXKg4RC7vlEIgnd07M2r0+J1cA5
 4CRQAnwBtiN1YiEjL6bEBaAW7BEwepH6NXAKJbqBB8B64DawP7fF5wmEHc4GMTrA
 fokSN7hYF0TqN8BhIAPsQ4m2IkElp8FoB+6C4QOipMxnXNldjtQDwHlHeBklNnoH
 yf44Mh5D6hbwNQETwFamy2KO4izwCSgFwkVktAjaB8YxZxZF7dnpXOSnzlq9d5AK
 d6DEI1TDtiwsfo9sEQB2g6N6XjwI+xCwF+auLawZ2vHVLwFtRonqbHkPDsLoqHvs
 mZmyP4JKsM8ASS41VtL5ZAqMAbAfA98AkPozStwn+5/8hmVZdUBNAWmktdY3C9Dl
 NW9N1QvIam68hWm0YBruLX9ytlT39VcKIU6wqiKGz59y1c9O+cmkduQasYnfF0DW
 BAlVuB8p8iLXt0w2HQ9Q3Rxw1b/t/M6PV/PFVvw9KtBWQCug/w/K9rqxn8sr03bJ
 /HjmK0yPLKNPLnommPyae0jXWCGgpDN6x3j8DuNxd709mwYmc9PfzFu6PJi3VDEA
 AAAASUVORK5CYII=

## feedcircuit 0.7.0-1

=== debian/changelog ===
feedcircuit (0.7.0-1) unstable; urgency=low

  * Fixing problems changing cache directory when .cache subdirectory doesn't
    exists yet.
  * FC now remembers what feeds are checked.
  * New setting to open feeds in new browser window.
  * New progress bars
  * Aborting feed update, deleting or moving cache doesn't lock FeedCircuit.
  * Export to opml.
  * Setting "Days to keep" to 0 always completely refreshes the feed

 -- George Kibardin <george-kibardin@yandex.ru>  Wed, 22 Oct 2008 17:33:16 +0400

## feedcircuit 0.7.1-1

=== debian/changelog ===
feedcircuit (0.7.1-1) unstable; urgency=low

  * Custom stylesheets and html templates
  * Native folder selection and file choosing dialogs
  * Logging
  * Update by schedule

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 06 Nov 2008 00:11:32 +0400

## feedcircuit 0.7.2-1

=== debian/changelog ===
feedcircuit (0.7.2-1) unstable; urgency=low

  * Content settings refactoring.
  * More autorefresh settings.
  * Problem with slate.com is fixed.
  * Problem with the Telepolis is probably fixed.

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 17 Nov 2008 15:35:04 +0400

## feedcircuit 0.7.3-1

=== debian/changelog ===
feedcircuit (0.7.3-1) unstable; urgency=low

  * Minor url handling fix
  * Youtube videos, java applets etc. are now cut off.

 -- George Kibardin <george-kibardin@yandex.ru>  Tue, 02 Dec 2008 12:44:48 +0400

## feedcircuit 0.7.4-1

=== debian/changelog ===
feedcircuit (0.7.4-1) unstable; urgency=low

  * Command line version works again.
  * It is possible now to strip images from the feed.
  * Fixed "File exists" problem during cache move.

 -- George Kibardin <george-kibardin@yandex.ru>  Sat, 07 Feb 2009 22:30:19 +0400

## feedcircuit 0.7.5-1

=== debian/changelog ===
feedcircuit (0.7.5-1) unstable; urgency=low

  * HTTP compression support
  * HTML documents without body tag are handled correctly
  * Web browser changing support

 -- George Kibardin <george-kibardin@yandex.ru>  Thi, 11 Jun 2009 22:53:21 +0400

## feedcircuit 0.7.6-1

=== debian/changelog ===
feedcircuit (0.7.6-1) unstable; urgency=low

  * Deflate support removed
  * Major cache handling improvement so that trash must not accumulate in it.
  * All downloads are are now async so it is simple to kill stalled download.

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 14 Jun 2010 22:44:11 +0400

## feedcircuit 0.7.6-2

=== debian/changelog ===
feedcircuit (0.7.6-2) unstable; urgency=low

  * Deflate support removed
  * Major cache handling improvement so that trash must not accumulate in it.
  * All downloads are are now async so it is simple to kill stalled download.
  * Proper handlig of feed urls and titles enclosed by CDATA

 -- George Kibardin <george-kibardin@yandex.ru>  Wed, 21 Mar  2010 22:44:11 +0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: feedcircuit
 Architecture: all
-Depends: python2.5, python2.5-hildon, python2.5-gtk2, python2.5-dbus, python2.5-beautifulsoup, python2.5-conic, python2.5-osso
+Depends: python2.5, python2.5-hildon, python2.5-gtk2, python2.5-dbus, python2.5-beautifulsoup, python2.5-conic, python2.5-osso, python-simplejson
 Description: Feed Circuit grabs RSS and Atom feeds for offline reading.
  It also may cache resources referenced by feeds and adapt them for reading on tablet's screen.
 XB-Maemo-Icon-26:

## feedcircuit 0.7.6-3

=== debian/changelog ===
feedcircuit (0.7.6-3) unstable; urgency=low

  * Deflate support removed
  * Major cache handling improvement so that trash must not accumulate in it.
  * All downloads are are now async so it is simple to kill stalled download.
  * Proper handlig of feed urls and titles enclosed by CDATA

 -- George Kibardin <george-kibardin@yandex.ru>  Wed, 21 Mar  2010 22:44:11 +0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: feedcircuit
-Section: user/other
+Section: user/network
 Priority: extra
 Maintainer: George Kibardin <george-kibardin@yandex.ru>
 Build-Depends: debhelper (>= 5), python2.5-dev

## feedcircuit 0.7.7-1

=== debian/changelog ===
feedcircuit (0.7.7-1) unstable; urgency=low

  * Ampersands in feed names are properly handled

 -- George Kibardin <george-kibardin@yandex.ru>  Sun, 23 May  2010 23:28:29 +0400

## feedcircuit 0.8.0-1

=== debian/changelog ===
feedcircuit (0.8.0-1) unstable; urgency=low

  * FeedCircuit is ported to Maemo 5

 -- George Kibardin <george-kibardin@yandex.ru>  Wed, 14 Jun 2010 23:12:20 +0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/feedcircuit.sgml > feedcircuit.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/feedcircuit.
	$(MAKE) DESTDIR=$(CURDIR)/debian/feedcircuit install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do here.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## feedcircuit 0.8.1-1

=== debian/changelog ===
feedcircuit (0.8.1-1) unstable; urgency=low

  * Fixed problem with opening browser
  * Fixed problem with feeds update progress dialog destruction

 -- George Kibardin <george-kibardin@yandex.ru>  Mon, 15 Feb 2010 23:41:33 +0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: feedcircuit
-Section: user/network
+Section: user/other
 Priority: extra
 Maintainer: George Kibardin <george-kibardin@yandex.ru>
-Build-Depends: debhelper (>= 5), python2.5-dev
+Build-Depends: debhelper (>= 5), python-dev
 Standards-Version: 3.7.2
 
 Package: feedcircuit
 Architecture: all
-Depends: python2.5, python2.5-hildon, python2.5-gtk2, python2.5-dbus, python2.5-beautifulsoup, python2.5-conic, python2.5-osso, python-simplejson
+Depends: python2.5, python-hildon (>=0.9.0-1maemo15), python-gtk2, python-dbus, python-beautifulsoup, python-conic, python-osso
 Description: Feed Circuit grabs RSS and Atom feeds for offline reading.
  It also may cache resources referenced by feeds and adapt them for reading on tablet's screen.
 XB-Maemo-Icon-26:

## feedcircuit 0.8.2-1

=== debian/changelog ===
feedcircuit (0.8.2-1) unstable; urgency=low

  * Fixed problem with deadlock during progress dialog destruction

 -- George Kibardin <george-kibardin@yandex.ru>  Fri, 05 Mar 2010 22:47:38 +0400

## feedcircuit 0.8.2-2

=== debian/changelog ===
feedcircuit (0.8.2-2) unstable; urgency=low

  * Fixed problem with deadlock during progress dialog destruction

 -- George Kibardin <george-kibardin@yandex.ru>  Fri, 05 Mar 2010 22:47:38 +0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: feedcircuit
-Section: user/other
+Section: user/network
 Priority: extra
 Maintainer: George Kibardin <george-kibardin@yandex.ru>
 Build-Depends: debhelper (>= 5), python-dev

## feedcircuit 0.8.2-3

=== debian/changelog ===
feedcircuit (0.8.2-3) unstable; urgency=low

  * Fixed problem with deadlock during progress dialog destruction

 -- George Kibardin <george-kibardin@yandex.ru>  Fri, 9 Apr 2010 22:30:38 +0400

## feedcircuit 0.8.3-1

=== debian/changelog ===
feedcircuit (0.8.3-1) unstable; urgency=low

  * Urls with escaped apmersands are handled correctly

 -- George Kibardin <george-kibardin@yandex.ru>  Thu, 15 Apr 2010 23:25:12 +0400

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Depends: python2.5, python-hildon (>=0.9.0-1maemo15), python-gtk2, python-dbus, python-beautifulsoup, python-conic, python-osso
 Description: Feed Circuit grabs RSS and Atom feeds for offline reading.
  It also may cache resources referenced by feeds and adapt them for reading on tablet's screen.
+XSBC-Bugtracker: http://garage.maemo.org/projects/feedcircuit/
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgIfAhk
  iAAAAAlwSFlzAAALEwAACxMBAJqcGAAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3Nj

## feedcircuit 0.8.4-1

=== debian/changelog ===
feedcircuit (0.8.4-1) unstable; urgency=low

  * Feed names with escaped apmersands are handled correctly

 -- George Kibardin <george-kibardin@yandex.ru>  Sun, 23 May 2010 23:16:12 +0400
